commit:     b0e32a2a80ee490ad0196ea06b1ad79a1fe4d31e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May  1 06:35:48 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May  1 07:44:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0e32a2a

dev-python/sphinxcontrib-spelling: Bump to 7.2.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-spelling/Manifest         |  1 +
 .../sphinxcontrib-spelling-7.2.1.ebuild            | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/sphinxcontrib-spelling/Manifest 
b/dev-python/sphinxcontrib-spelling/Manifest
index 50833ccd7e5..1d2a565877a 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-spelling-7.1.0.tar.gz 49353 BLAKE2B 
59e1f5e3fadeb175fb3d1b7a77acdb23e532456de053f886507c76189bf5f657a948d6288625110ccacfb5b673f23d209e6164f3535da30559f0ac4e792f34e9
 SHA512 
b8ae9ad79afacd362a986dc63d3be87b91d3560333bbcb026ab7d64fa8139e05e048d5e868df0fc40a159a3c44aeac01191df5ef8208bbcd7e35242f9a0b97be
+DIST sphinxcontrib-spelling-7.2.1.tar.gz 49584 BLAKE2B 
7211acfe344b157c0d44f356aef4c31fabcb1b30256cec1693fa67d2652d80c8f3657441c193f82ef26e0e7acd7d141732bef0704462a292355d70a18ab3c2be
 SHA512 
e9b9709b627545e1191d64753c97c0cf65e100d5379e7cc1da46faf9c5d5ea0eeb6c7aafe99331f9518488fb0801c245e0c1fa9853360bb6cf373515a4fed2ed

diff --git 
a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.2.1.ebuild 
b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.2.1.ebuild
new file mode 100644
index 00000000000..28d6e037b43
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.2.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/importlib_metadata-1.7.0[${PYTHON_USEDEP}]
+       ' python3_{6,7})
+       dev-python/pyenchant[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               app-dicts/myspell-en
+       )
+"
+
+# The doc can only be built from a git repository
+distutils_enable_tests pytest
+
+# We don't want distutils_enable_tests to add the namespace
+# package to BDEPEND under "test?". Therefore we add it to RDEPEND
+# after running distutils_enable_tests.
+RDEPEND+="
+       dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_test() {
+       local deselect=(
+               tests/test_filter.py::test_contributors
+       )
+
+       epytest ${deselect[@]/#/--deselect }
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to